For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList application credentials
      • POSTCreate application credential
      • GETGet application credential
      • DELDelete application credential
      • PATCHUpdate application credential

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerApplication credentials

Create application credential

POST
https://ah-api.merge.dev/api/v1/application-credentials/
POST
/api/v1/application-credentials/
$curl -X POST https://ah-api.merge.dev/api/v1/application-credentials/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "connector_slug": "jira",
> "client_id": "abc123",
> "client_secret": "secret"
>}'
201Create
1{
2 "id": "3c90c3c0-6d46-4b50-8888-8dd25736052f",
3 "connector_slug": "jira",
4 "client_id": "abc123",
5 "external_id": null,
6 "is_global_default": false,
7 "created_at": "2024-01-15T10:30:00Z",
8 "modified_at": "2024-01-15T10:30:00Z"
9}

Creates an OAuth application credential for a connector. The external_id field is optional — omit it unless you need multiple OAuth apps for the same connector (e.g. one per customer tenant).

Was this page helpful?
Previous

List application credentials

Next

Get application credential

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Request

This endpoint expects an object.
connector_slugstringRequired<=255 characters
Slug of the connector to create an OAuth app for.
client_idstringRequired<=255 characters
client_secretstring or nullOptional<=255 characters
external_idstring or nullOptional

Response

idstringRead-onlyformat: "uuid"
connector_slugstringRead-only
client_idstringRead-only
external_idstring or nullRead-only
is_global_defaultbooleanRead-only
created_atdatetimeRead-only
modified_atdatetimeRead-only